<?php $this->addJS('templates/default/js/rating_stars.js'); ?>

<div class="rating_stars_widget <?php echo $target_controller.'_'.$target_subject; ?>_rating" id="rating-<?php echo $target_subject; ?>-<?php echo $target_id; ?>"
        data-url="<?php echo $this->href_to('vote'); ?>"
    <?php if ($is_enabled || $options['is_show']){ ?>
        data-target-controller="<?php echo $target_controller; ?>"
        data-target-subject="<?php echo $target_subject; ?>"
        data-target-id="<?php echo $target_id; ?>"
        <?php if ($options['is_show']){ ?>
            data-info-url="<?php echo $this->href_to('info'); ?>"
        <?php } ?>
    <?php } ?>
>
    <?php if($label){ ?>
        <div class="rating_label"><?php echo $label; ?></div>
    <?php } ?>
    <div class="stars<?php if ($options['is_show'] && $show_rating) { ?> clickable<?php } ?><?php if (!$is_voted && $is_enabled){ ?> is_enabled<?php } ?>"
         title="<?php if ($is_enabled){ ?><?php echo LANG_RATING; ?><?php } else { ?><?php html($is_voted ? LANG_RATING_VOTED : LANG_RATING_DISABLED); ?><?php } ?>"
        <?php if ($show_rating){ ?>
        data-stars="<?php echo $current_rating; ?>"
        <?php } ?>
         >
        <svg class="star rating" data-rating="1">
        <polygon points="0 12, 10 22, 20 12, 20 7, 17 4, 13 4, 10 7, 7 4, 3 4, 0 7, 0 12"/>
        </svg>
        <svg class="star rating" data-rating="2">
        <polygon points="0 12, 10 22, 20 12, 20 7, 17 4, 13 4, 10 7, 7 4, 3 4, 0 7, 0 12"/>
        </svg>
        <svg class="star rating" data-rating="3">
        <polygon points="0 12, 10 22, 20 12, 20 7, 17 4, 13 4, 10 7, 7 4, 3 4, 0 7, 0 12"/>
        </svg>
        <svg class="star rating" data-rating="4">
        <polygon points="0 12, 10 22, 20 12, 20 7, 17 4, 13 4, 10 7, 7 4, 3 4, 0 7, 0 12"/>
        </svg>
        <svg class="star rating" data-rating="5">
        <polygon points="0 12, 10 22, 20 12, 20 7, 17 4, 13 4, 10 7, 7 4, 3 4, 0 7, 0 12"/>
        </svg>
    </div>
</div>
<?php if ($total_voted){ ?>
<script type="application/ld+json">
{
    "@context": "http://schema.org/",
    "@type": "CreativeWork",
    "name": "<?php echo $target_subject; ?>",
    "aggregateRating": {
        "@type": "AggregateRating",
        "ratingValue" : "<?php echo $current_rating; ?>",
        "ratingCount": "<?php echo $total_voted; ?>",
        "worstRating": "1",
        "bestRating": "5"
    }
}
</script>
<?php } ?>
